| Name | Description |
|---|---|
| access_token | JSON Web Token retrieved from the Sessions endpoint (you can also pass this into the Authorization header) |
| page |
pagination details: - page[limit] = number of challenges you want to receive per page, default 25 - page[offset] = skip the first n number of records before reading challenges, default 0 |
| sort | (optional) order you want to receive challenges in, defaults to id. |
| include | (optional) comma delimited relationships you want included in the response in snake_case format |
| filters |
comma delimited filters. Filter options: - filters[completed] = [true,false] - filters[receiver_ids] = 3,4 - filters[organization_ids] = 1,2 - filters[types] = pray,learn |
| Name | Description |
|---|---|
| data | primary JSON API payload |
| included | related models (controlled by the include param) |
| meta | will contain additional information about the current request, including the total number of records before the limit/offset operations |
Version: HTTP/1.0 Accept: application/vnd.api+json Content-Type: application/vnd.api+json Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoyMSwiZXhwIjoxNzk0NTQwMjAyLCJpYXQiOjE3OTQ1NDAwMjJ9.g13gJpuKspWvfgAQ9Stp1m8friwksY8o-mavJuM_46k Host: example.org Cookie:
GET /apis/v4/challenges?include=&filters[organization_ids]=41&filters[completed]=false&filters[receiver_ids]=105&filters[types]=pray
include=
filters={"organization_ids"=>"41", "completed"=>"false", "receiver_ids"=>"105", "types"=>"pray"}
X-Frame-Options: SAMEORIGIN X-XSS-Protection: 1; mode=block X-Content-Type-Options: nosniff X-Download-Options: noopen X-Permitted-Cross-Domain-Policies: none Referrer-Policy: strict-origin-when-cross-origin Content-Type: application/vnd.api+json Vary: Accept X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoyMSwiZXhwIjoxNzk0NzEyODIyLCJpYXQiOjE3OTQ1NDAwMjJ9.IG7In2UhgI_PInCBRPj6oMniaj4yBuEO24f8KVvCMdE Access-Control-Expose-Headers: X-MH-Session ETag: W/"8215021d66544653576c27cfa0f3e62d" Cache-Control: max-age=0, private, must-revalidate X-Request-Id: 5469cf0c-9522-4d86-923b-be0076a533c4 X-Runtime: 0.060969 Content-Length: 531
200